LWIP: Latest version

cancel
Showing results for 
Search instead for 
Did you mean: 

LWIP: Latest version

651 Views
saad_saeed
Contributor III

Hello,

In the latest MCUexpressoSDK 2.5 the lwIP version used is 2.0.3. This version does not give support for DHCPv6 which is available in 2.1.0. What should I do this issue.

Kind Regards,

Saad. 

0 Kudos
4 Replies

332 Views
Carlos_Mendoza
NXP Employee
NXP Employee

Hi Saad,

Could you tell us which MCU are you using?

Thanks in advance!

Best Regards,
Carlos Mendoza
Technical Support Engineer

332 Views
saad_saeed
Contributor III

Hello,

I am using MCUXpresso IDE v10.3.0 [Build 2200] [2018-12-03] along with the latest SDK 2.5.0

0 Kudos

332 Views
danielchen
NXP TechSupport
NXP TechSupport

Hi saad

There is a plan to upgrade Lwip in next SDK release.  The target date maybe in Jun. 2019 .

You also can port it by yourself. Please refer to below links for more details.

https://www.nongnu.org/lwip/2_1_x/upgrading.html
https://www.nongnu.org/lwip/2_1_x/changelog.html

I hope it helps

Regards

Daniel

0 Kudos

332 Views
danielchen
NXP TechSupport
NXP TechSupport

Hi Saad:

Currently lwip 2.1.0 is not supported in SDK. Let me check with the develop team whether they have a plan in the near future. I will update you when I have results.

Regards

Daniel

0 Kudos